Subject: bug#1237: 23.0.60; `switch-to-buffer-other-window' sometimes uses selected window

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 Nov 2008 15:49:35 -0500

>> I think it is very important to keep `with-selected-window'
>> and `save-selected-window' similar.  If we make this change
>> in one, we had better make the change in the other too.

>     I think so too.  But the behavior was different (in the NORECORD aspect)
>     already before my recent change.

> Was that intentional or was it a bug?

The fact that with-selected-window does not "record" it very
much intentional.  The "norecord" argument was added (to select-window)
specifically for that purpose.

I believe its absence in save-selected-window is only accidental.

        Stefan